version: '2'

services:
  shr-mysql:
    build:
      context: ./db
    environment:
      MYSQL_ROOT_PASSWORD: gf^*i6%&9J83&(*kJ653F&L
    restart: always
    container_name: shr-mysql
    image: shr-mysql
    command:
      --character-set-server=utf8mb4
      --collation-server=utf8mb4_general_ci
      --explicit_defaults_for_timestamp=true
      --lower_case_table_names=1
      --max_allowed_packet=128M
    ports:
      - 3306:3306

  shr-server:
    build:
      context: ./
    restart: always
    container_name: shr-server
    image: shr-server
    ports:
      - 3306:3306